# Uses of Enum
org.apache.commons.math3.optim.linear.Relationship

Packages that use Relationship
Package
Description
org.apache.commons.math3.optim.linear
Optimization algorithms for linear constrained problems.

## Uses of Relationship in org.apache.commons.math3.optim.linear

Methods in org.apache.commons.math3.optim.linear that return Relationship
Modifier and Type
Method
Description
`Relationship`
LinearConstraint.`getRelationship()`
Gets the relationship between left and right hand sides.
`Relationship`
Relationship.`oppositeRelationship()`
Gets the relationship obtained when multiplying all coefficients by -1.
`static Relationship`
Relationship.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Relationship[]`
Relationship.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.commons.math3.optim.linear with parameters of type Relationship
Modifier
Constructor
Description
``
`LinearConstraint(double[] lhsCoefficients, double lhsConstant, Relationship relationship, double[] rhsCoefficients, double rhsConstant)`
Build a constraint involving two linear equations.
``
`LinearConstraint(double[] coefficients, Relationship relationship, double value)`
Build a constraint involving a single linear equation.
``
`LinearConstraint(RealVector lhsCoefficients, double lhsConstant, Relationship relationship, RealVector rhsCoefficients, double rhsConstant)`
Build a constraint involving two linear equations.
``
`LinearConstraint(RealVector coefficients, Relationship relationship, double value)`
Build a constraint involving a single linear equation.